Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portlet.orb
Class PortletORBManager

    java.lang.Object
      com.bea.portal.tools.portlet.orb.PortletORBManager

    public abstract class PortletORBManager

extends Object

Constructor Summary
`protected` | `PortletORBManager()` Constructor.

Method Summary
`abstract PortletORB` | `getPortletORB(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Get the `PortletORB` for the given `HttpServletRequest`.
`static PortletORBManager` | `getPortletORBManager()` Get the `PortletORBManager`.
`static void` | `setPortletORBManager(PortletORBManager portletORBManager)` Change the `PortletORBManager`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletORBManager

    protected PortletORBManager()

  Constructor.

Method Detail

### getPortletORBManager

    public static final PortletORBManager getPortletORBManager()

  Get the `PortletORBManager`.

  Returns
    the `PortletORBManager`

### setPortletORBManager

    public static final void setPortletORBManager(PortletORBManager portletORBManager)

  Change the `PortletORBManager`.

  Parameters
    `portletORBManager` - the `PortletORBManager`

### getPortletORB

    public abstract PortletORB getPortletORB(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)

  Get the `PortletORB` for the given `HttpServletRequest`.

  Returns
    the `PortletORB` for the given `HttpServletRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved